Page 1 of 1

Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Wed Nov 28, 2018 5:36 am
by Azmath.Verticross
Hi!
Can anyone help me installing Ubuntu-Mate on my RBPi 1, I'm trying to install it but I'm stuck with start up page.
Please help out in this

Re: Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Wed Nov 28, 2018 10:36 am
by DirkS
AFAIK Mate needs a 2B or later.

Re: Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Wed Nov 28, 2018 2:55 pm
by Fidelius
DirkS wrote:
Wed Nov 28, 2018 10:36 am
AFAIK Mate needs a 2B or later.
[Edit: Yes indeed.]

The Ubuntu Mate flavour also bundles a ready-to-run image for the Pi, using Raspbian's kernel plus some driver and Ubuntu's normal 32-Bit ARM7 packages from the Ubuntu server.
https://ubuntu-mate.org/raspberry-pi/

Re: Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Wed Nov 28, 2018 2:57 pm
by Fidelius
Azmath.Verticross wrote:
Wed Nov 28, 2018 5:36 am
Can anyone help me installing Ubuntu-Mate on my RBPi 1
Ubuntu compiles their 32-Bit ARM packages against ARM7, so it won't run on a Pi1 with ARM6.

At least you need a Pi2 with ARM7 or a Pi3 with ARM8 to run ARM Ubuntu.

P.S. And you won't have the OpenGL driver and other Raspbian-only bits, like hardware accelerated VLC, etc.

Since Debian based Raspbian (Stretch) and Debian based Ubuntu is very similar, I'd recommend to use Raspbian which runs much more smoothly and then just apt-install the Mate or Xfce desktop packages from Raspbian's apt-repository.

Re: Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Wed Nov 28, 2018 3:05 pm
by DirkS
Fidelius wrote:
Wed Nov 28, 2018 2:55 pm
DirkS wrote:
Wed Nov 28, 2018 10:36 am
AFAIK Mate needs a 2B or later.
No. Ubuntu Mate and Xfce etc run happily on a Pi2 or Pi3 with 1 GB RAM.
What do you mean with 'No' ? :?
That's exactly what I'm saying. There is no 2 without a B

Re: Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Wed Nov 28, 2018 3:23 pm
by Fidelius
DirkS wrote:
Wed Nov 28, 2018 3:05 pm
That's exactly what I'm saying. There is no 2 without a B
You're right; I read "2G" (RAM) instead of your 2B.

Re: Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Wed Nov 28, 2018 3:24 pm
by fruitoftheloom
Azmath.Verticross wrote:
Wed Nov 28, 2018 5:36 am
Hi!
Can anyone help me installing Ubuntu-Mate on my RBPi 1, I'm trying to install it but I'm stuck with start up page.
Please help out in this

Ubuntu various flavours requires a ARMv7 / ARMv8 Raspberry Pi SBC.

The Raspberry Pi Zero and 1 family are ARMv6 so are not supported.

Best to stick with Raspbian Stretch with Desktop or Arch Linux Arm which is command line only but you can install the Mate Desktop.

Re: Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Wed Nov 28, 2018 4:00 pm
by code_exec
Azmath.Verticross wrote:
Wed Nov 28, 2018 5:36 am
Hi!
Can anyone help me installing Ubuntu-Mate on my RBPi 1, I'm trying to install it but I'm stuck with start up page.
Please help out in this
Sorry, but Ubuntu armhf requires ARMv7 or later, the Pi 1 and Zero use ARMv6 which are not supported by Ubuntu. There used to be an Ubuntu armel port for ARMv5 which could have actually been run on the Pi 1 using a custom kernel compiled with armel support, but 12.10 was the last version that included armel support.

Re: Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Thu Dec 13, 2018 7:15 am
by Azmath.Verticross
code_exec wrote:
Azmath.Verticross wrote:
Wed Nov 28, 2018 5:36 am
Hi!
Can anyone help me installing Ubuntu-Mate on my RBPi 1, I'm trying to install it but I'm stuck with start up page.
Please help out in this
Sorry, but Ubuntu armhf requires ARMv7 or later, the Pi 1 and Zero use ARMv6 which are not supported by Ubuntu. There used to be an Ubuntu armel port for ARMv5 which could have actually been run on the Pi 1 using a custom kernel compiled with armel support, but 12.10 was the last version that included armel support.
Thank you sir,
can share that ubuntu armel port link or file with me i would like to check it.

Re: Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Sat Dec 29, 2018 6:35 am
by code_exec
Azmath.Verticross wrote:
Thu Dec 13, 2018 7:15 am
code_exec wrote:
Azmath.Verticross wrote:
Wed Nov 28, 2018 5:36 am
Hi!
Can anyone help me installing Ubuntu-Mate on my RBPi 1, I'm trying to install it but I'm stuck with start up page.
Please help out in this
Sorry, but Ubuntu armhf requires ARMv7 or later, the Pi 1 and Zero use ARMv6 which are not supported by Ubuntu. There used to be an Ubuntu armel port for ARMv5 which could have actually been run on the Pi 1 using a custom kernel compiled with armel support, but 12.10 was the last version that included armel support.
Thank you sir,
can share that ubuntu armel port link or file with me i would like to check it.
Sorry for the late reply, I only just saw this.

Ubuntu's armel port was dropped at 13.04 and the latest LTS version available for this port was 12.04, which reached End of Life in April 2017.

Also, Ubuntu armel would use emulation for floating point applications which would be slow.

You would need to compile the Pi's kernel with support for running old ARM EABI binaries.

Re: Installing Ubuntu-Mate to Raspberry Pi 1

Posted: Tue Jan 08, 2019 7:07 am
by code_exec
Both Ubuntu and Raspbian are based on Debian, and therefore are like each other in many ways. Try installing Raspbian Lite and then installing the mate-desktop-environment package. This will give you an Ubuntu MATE-like experience on your Pi 1.